Page MenuHomePhabricator

Remove uploader's name from MediaViewer: only last uploader's name is shown
Closed, ResolvedPublic

Description

[MediaViewer](https://www.mediawiki.org/wiki/Multimedia/Media Viewer) displays the name of the uploader when someone is viewing the image, which turned out to be more confusing than useful. The task is to remove it.

The code that displays the uploader name is in mmv.ui.metadataPanel.js, but after removing it functionality in some other classes to fetch and store the data will become unnecessary and can also be removed.


By convention, existing files should not be modified significantly by reuploading, so we should show the first uploader (or do something more comples, like a list or a "more" link - but if we only show a single name, first uploader is more important information).


Version: unspecified
Severity: normal

Details

Reference
bz57308

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:27 AM
bzimport set Reference to bz57308.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Nov 20 2013, 3:49 PM
Tgr added a comment.Mar 25 2014, 8:03 PM

Apparently this is not so easy as it seems: the imageinfo API has a revision limit parameter (iilimit) which can be used to get information about the uploader of the first revision, but there is no way to start from the earliest revision, so we would have to start from the first. Most information would be duplicated for each revision (especially metadata can be huge), making this very inefficient: one either has to make an API call for most image information and a separate one for the first uploader, or get everything for every revision, possibly getting dozens of kilobytes of text in response.

The first uploader seems like an obvious thing to look for, we should incorporate easy access to it into one of the APIs (maybe CommonsMetadata, which is somewhat of a catch-all already).

Gilles closed this task as Declined.Nov 24 2014, 2:23 PM
Gilles claimed this task.

Since we've gone in the direction of not overloading below-the-fold with too much information, I think this is obsolete.

Tgr reopened this task as Open.Nov 24 2014, 3:44 PM

Since we've gone in the direction of not overloading below-the-fold with too much information, I think this is obsolete.

I disagree. Replacing the last uploader's name with that of the first would make the panel more informative without making it more complex. We should probably not have both but the current choice is just awkward.

(Ideally we would something like "<first uploader name> [v see all]" with a dropdown, but that's much more effort and we have more important things to do.)

You're seeing the work of the last uploader when you view an image in Media Viewer. How relevant is the person who first uploaded some content if their copy is of lesser quality than the most recent one?

Gilles lowered the priority of this task from High to Low.Nov 24 2014, 3:54 PM
Tgr added a comment.Nov 24 2014, 4:04 PM

The first person is the one who decided what gets uploaded, so they are the "contact person" for the image - if you want thank for the image, ask how it was made, have a copyright concern etc, you usually want to talk to them first.

Tgr set Security to None.
Gilles removed Gilles as the assignee of this task.Dec 2 2014, 9:11 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:57 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 5:57 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Why is the uploader's name shown at all, in cases where the "Author" field is filled in, or when the image is in the public domain? I thought the purpose of Media Viewer was to remove less relevant clutter for the reader. How is the uploader's username interesting at all, if it's not necessary for attribution?

Tgr added a comment.Nov 26 2015, 6:47 AM

I believe the intention was to know which editor to contact about the image. I wouldn't be opposed to removing it (especially given that it is somewhat broken now and there is no easy way to fix it).

As @Tgr indicates, the purpose was to surface the editor to contact. Due to the diversity of media, this is more useful in some cases than others. For example, in this painting Munch is the author but for anything related to the specific image is useless to try to contact him. In other cases, where both the author and the editor are wiki users, the author is presented in a more prominent way leaving the uploader in the technical details area (next to the filename) to avoid confusions.

So I think there are two aspects to decide about:

  • Is the uploader info really needed? We need to think about all the different types of media and how this piece of information is used. The data tells us that there is few people clicking on the uploader element (is one of the less clicked elements apart from help links) but does that mean that the info displayed is not useful? We also need to consider that even if it is removed it is reachable behind the "more details" link even if that has an extra impact, but is it ok to show no reference o the editor that contributed the image of a painting at all?
  • How to show the right uploader? If we decided the uploader is a useful piece of information to show in this context, we have the problem of what to do when there are several uploaders. On the one hand, it makes sense to show the original uploader for the reasons given. On the other hand, it feels strange to completely ignore the one that uploaded the specific version you have in front of your. One possible option would be to show one (e.g., the first) but indicate that there are more (e.g., "Cronopio and two more"). In that way users interested on it can access the full details if they are interested in the file history.

I fully agree with Pete F here; there is no need to mention first, last or any intermediate uploader in Media Viewer. Earlier some bots mentioned uploader name in source or author field in Commons; now we're removing it. Out priority should be to provide only important (especially copyright-wise) information to the viewer/re-user. That should come from TASL - Title, Author, Source, License; not from any other field. MediaWiki software not supporting a "title" option; so we're using description instead of it. Date also can be mentioned as it helps to know whether copyright is expired. So the current layout is good except the inclusion of "Uploaded by". People may not well differentiate the difference between "Uploaded by" and "Created/Copyright by". So better avoid that unimportant (copyright-wise) field. (Copying from Extension_talk:Media_Viewer/About#Misleading_.27You_need_to_attribute_the_author.27_button_output)

Funny thing -- the exact same thing happened to me last night. I was even fooled about the photo -- my memory played a trick on me, and I initially believed that the publication that (falsely) attributed a photo to me (since I had taken some similar, but vastly inferior, photos). See here: https://www.facebook.com/phorzaith/posts/702609043778

To be honest, I think this is WMF's error to fix. I don't feel inclined to offer pro bono consulting to fiddle with software that was ill-conceived to begin with. But the WMF's software is creating confusion about licensing, and undermining the Wikimedia vision. I suggest you find a way to fix that.

Unsubscribing -- if you find you need me for something, please reach out directly.

i would agree with Pete. historically assumption was that uploader was creator, but this is increasingly not the case, and uploader may be bot. and many uploaders are long gone. only rarely do readers question my uploads

better would be highlighting creator, artist, or institution from the metadata.

Tgr added a comment.Dec 2 2015, 3:04 AM

Just to clarify, we already highlight the creator / artist (it's right below the title/caption and it's one of the few elements also visible when the metadata panel is closed). Institution is T77257 but the MediaViewer interface got much simpler compared to what was planned then (probably for the better) so I don't think it would be a good idea to add that.

Tgr added a comment.Dec 3 2015, 7:11 PM

@Pginer-WMF what do you think about changing the link to point to the talk page of the uploader and move it down to the footer? That seems the logical place for a "contact" type link.

See examples like https://commons.wikimedia.org/wiki/File:Libellago_lineata_male-Kadavoor-2015-08-21-001.jpg and https://commons.wikimedia.org/wiki/File:Monkey_Puzzle_Rathinda_amor_by_kadavoor_edit_by_b%C3%B6hringer.jpg. In both cases, the contact should be to me as the uploader can't help much. In the second example the uploader just removed a part of leaf from the photo. In many cases, last uploader do such small edits, like removing chromatic aberration, etc. Some people uploads separately (as in that example); so "first uploader" is not reliable in such cases. For some PD works where author is no more available, uploader may be helpful. But as a generic contact point for all types of works, the file talk page or Commons Help Desk may better (if we really need a contact link).

creator is noted with metadata, but not noted "creator" or "artist" unlike "uploader" on right hand side
it would be nice to call out field name

Tgr added a comment.Dec 4 2015, 2:32 AM

@Slowking4 I don't believe we have that kind of metadata. There is Author from the Information template, and not much else.

In T59308#1849487, @Tgr wrote:

@Pginer-WMF what do you think about changing the link to point to the talk page of the uploader and move it down to the footer? That seems the logical place for a "contact" type link.

I'm not convinced this is the best solution. The footer has information that is more related to the viewer than the image, and the right side details include technical details that are closely related among them (filename, uploader, and timestamp).

I'm more inclined to remove the uploader field. It can be found through "more details" and seems to generate more confusion than the value it adds. If we consider that some support for discussing the image has value, we may want to include a link to the image talk page instead (which will notify anyone watching the image).

Alternatively, we can consider including the image author also above the uploader, and showing the uploader if it is different. That could clarify the concepts by contrast, but it introduces redundancy and clutter so I'd prefer simplifying it instead as described above.

I support Pginer-WMF's comment above. If a "contact" is needed, File Talk is the best option. Most authors and uploaders are watching them if interested.

Nemo_bis added a subscriber: Nemo_bis.

This is proposed as GCI task at https://codein.withgoogle.com/dashboard/tasks/5766197941370880/

Are we sure it's appropriate? Seems a rather controversial task.

In T59308#1851298, @Tgr wrote:

@Slowking4 I don't believe we have that kind of metadata. There is Author from the Information template, and not much else.

for photograph or artwork template you do.

but yes this problem is a symptom of problematic information template.
information template works for simple case of uploader / author / creator, but not for complicated cases.
maybe an option for photo & artwork template, and a metadata improvement drive ?

Tgr added a comment.Dec 10 2015, 1:45 AM

Are we sure it's appropriate? Seems a rather controversial task.

Is it? Everyone here (and the mw.org discussion) seems to agree removing the uploader is the best option.

Nemo_bis renamed this task from Only last uploader's name is shown in MultimediaViewer to Remove uploader's name from MediaViewer: only last uploader's name is shown.Dec 10 2015, 9:27 AM
Nemo_bis updated the task description. (Show Details)

Another example: http://www.oregonlive.com/portland/index.ssf/2015/08/portland_police_investigating_80.html (photo is public domain, by USGS -- all I did was crop it.) I noted it in the comment thread, so perhaps the Oregonian will correct the problem.

Change 260931 had a related patch set uploaded (by JadeMaveric):
Remove uploader's name from MediaViewer

https://gerrit.wikimedia.org/r/260931

Change 260931 merged by jenkins-bot:
Remove uploader's name from MediaViewer

https://gerrit.wikimedia.org/r/260931

Tgr closed this task as Resolved.Dec 29 2015, 5:31 PM
Tgr claimed this task.

Thanks @JadeMaveric!